from twisted.web import client
from twisted.internet import reactor, defer


class Example:
    def __init__(self):
        self.total = 0

    def _increment(self, content):
        self.total += len(content)

    def go(self):
        deferreds = []
        for i in ['b', 'f', 'm']:
            url = "http://taniquetil.com.ar/{}.png".format(i)
            d = client.getPage(url.encode('ascii'))
            d.addCallback(self._increment)
            deferreds.append(d)
        return defer.DeferredList(deferreds)


def run():
    e = Example()
    d = e.go()

    def f(_):
        print("Done:", e.total)
        reactor.stop()
    d.addCallback(f)


reactor.callWhenRunning(run)
reactor.run()
